Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.spi
Interface QueryResultsRegion

All Superinterfaces:
  GeneralDataRegion, Region

All Known Implementing Classes:
  EhcacheQueryResultsRegion, QueryResultsRegionImpl

    public interface QueryResultsRegion

extends GeneralDataRegion

Defines the contract for a cache region which will specifically be used to store query results.

Method Summary

Methods inherited from interface org.hibernate.cache.spi.GeneralDataRegion
`evict, evictAll, get, put`

Methods inherited from interface org.hibernate.cache.spi.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.